/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.visitor;

import com.yiring.app.param.visitor.VisitorParam;
import com.yiring.app.vo.visitor.VisitorVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;

/**
 * @author tzl
 * 2022/4/19 14:12
 */
public interface VisitorService {
    /**
     *  访客新增
     * @param visitorParam 新增访客入参
     * @return 是否成功
     */
    Result<String> saveVisitor(VisitorParam visitorParam);

    /**
     *  访客删除
     * @param idParam 主键id
     * @return 是否成功
     */
    Result<String> deleteVisitor(IdParam idParam);

    /**
     * 修改访客信息
     * @param visitorParam 修改访客入参
     * @param idParam 修改访客的主键id
     * @return 是否成功
     */
    Result<String> updateVisitor(VisitorParam visitorParam, IdParam idParam);

    Result<VisitorVo> selectVisitor(IdParam idParam);
}
